<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("i" . "d" => base64_decode("aWQ" . "="), "_c0f286e93ebdcaa427b44ec29413392" . "b" => base64_decode("ZmVlZF9r" . "ZXk="), "chann" . "els" => base64_decode("Y2hhbm5lbH" . "M="), "_4cabd5d7713c30b34f15" . "2bca7e16cd6c" => base64_decode("bmV3c19mZWVkcw" . "=="), "_022eeb17ad2461a77288" . "6fe0f5575520" => base64_decode("Y3JlYX" . "Rvcg=="), "_49c48a113fcc4b94b82e29c" . "74e01e7bd" => base64_decode("ZmVlZF9r" . "ZXkgZXE6" . "c3RyOmtl" . "eQ=="), "_aa7e860da1acd4e767e0df9d7d" . "407380" => base64_decode("ZGF0ZV9jcm" . "VhdGVk"), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl" . "0bG" . "U="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_49c48a113fcc4b94b82e" . "29c74e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4cabd5d7713c30b34f152bca7e16cd6" . "c"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["tit" . "le"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["ch" . "an" . "ne" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c0f286e93ebdcaa42" . "7b44ec29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_aa7e860da1" . "acd4e767e0d" . "f9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_022eeb17ad2461a77288" . "6fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}